Package org.apache.sling.installer.api.tasks

# Interface ResourceTransformer

@ConsumerType public interface ResourceTransformer
A resource transformer transform a registered resource before it can be installed. Based on the transformation result, the installer creates one or more `TaskResource`s from the registered resources and passes them on to the `InstallTaskFactory`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`
Optional service registration property setting a unique name for the transformer.

## Method Summary

Modifier and Type
Method
Description
`TransformationResult[]`
`transform(RegisteredResource resource)`
Try to transform the registered resource.

## Field Details

### NAME

static final String NAME
Optional service registration property setting a unique name for the transformer. The value of this property must be of type String.

Since:
  1.4.0
See Also:
  - Constant Field Values

## Method Details

### transform

TransformationResult[] transform(RegisteredResource resource)
Try to transform the registered resource. If the transformer is not responsible for transforming the resource, it should return `null`

Parameters:
  `resource` - The resource
Returns:
  An array of transformation results or `null`